summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick Lauer <patrick@gentoo.org>2015-12-21 14:22:59 +0100
committerPatrick Lauer <patrick@gentoo.org>2015-12-21 14:22:59 +0100
commitb7240d561f244e5155d83f41dc916b09be5de1e4 (patch)
treed29b61840654d9e57ebf4314b5b4e5fbb59d8d5a
parentmedia-video/movit: Bump (diff)
downloadgentoo-b7240d561f244e5155d83f41dc916b09be5de1e4.tar.gz
gentoo-b7240d561f244e5155d83f41dc916b09be5de1e4.tar.bz2
gentoo-b7240d561f244e5155d83f41dc916b09be5de1e4.zip
sci-mathematics/cado-nfs: Bump
-rw-r--r--sci-mathematics/cado-nfs/Manifest1
-rw-r--r--sci-mathematics/cado-nfs/cado-nfs-2.2.0.ebuild45
2 files changed, 46 insertions, 0 deletions
diff --git a/sci-mathematics/cado-nfs/Manifest b/sci-mathematics/cado-nfs/Manifest
index b237edbbf30..8aebd919f46 100644
--- a/sci-mathematics/cado-nfs/Manifest
+++ b/sci-mathematics/cado-nfs/Manifest
@@ -2,3 +2,4 @@ DIST cado-nfs-1.1.tar.gz 1453860 SHA256 295c8662208c432a98157951ddc117820ff2e57e
DIST cado-nfs-2.0.tar.gz 2088866 SHA256 67f2ca3f739e07e89c9873f98d876bf771a3900288eda3d724b06f5736b4bfa2 SHA512 7f531e9ad1445c763a2fd37441e2e3bf6d4184d0d93be414d078b7024860c9d85754afe6629d9436b540361183462792248a88c0af76407d10a621385ec5b18b WHIRLPOOL 91b7a874cedb90c555625f9a0187f62c2cfccebc7236182d6bba17187fa5080b5164b121361035f3c7281881cc44f026fb66c6b242f8abcf6b6628a6eb280b90
DIST cado-nfs-2.1.1.tar.gz 2560216 SHA256 7493b3d38c7bb7db2e3e8068f6d7da2bf0429d5cc153af668f677af99f0320fa SHA512 8463fddc49cf7ad3caef47f9b96fd8ed63de63fa3aa9791b94e58d920f2bb66d843e6e53bab81eaea62d3cbdc834c4f7b7f294d255ac7def74ff51a651905002 WHIRLPOOL cecea890bc48b80ad8907e69f8ca386a45b99f4735cdec3bdfba936bf502b6efbf76bbae3f4a8f60e8f676c27f441ae03ec8327be05c92eecbcf7751b8d34f9f
DIST cado-nfs-2.1.tar.gz 2558577 SHA256 ff50baeb2eb5bf0ff3dd8600056e8e762fa30c94c2425fb73843329ced2a5ae1 SHA512 fcdba87ca349485e6d25c1298cc90197855a2fa354b51edb827445b10e7cb023f5d239e02aba0cdae28b4f4b38d260b4b492cdf5eb0c929afdca6aa604b29191 WHIRLPOOL c23a7b5d184efa385689493831f70cff823811d8f320ea3e91f367c580b285dcf6515027d466784d56c5f3f49d51e1d3baccd566096af561710b9267d1e0bdda
+DIST cado-nfs-2.2.0.tar.gz 3197259 SHA256 b85ffd8c13eadb911e2f2f026fad1a4993f8f85a82326cc2b4f95bee536a6cb5 SHA512 983806522187a79a1d6113c2539c05d2d09caa823db9ba629d12501ac50b10daf673ca52039c403ea18f8befe0f6831af7e6586b6fcf0265555efe299f09f57f WHIRLPOOL c30a7ef57aa5ca37430138e9193af553ac0c240093362dbf31094732de2874aca44523ed6395f35c39158fde1863555b1f3e8a46d0175d502ed947f77e0daf90
diff --git a/sci-mathematics/cado-nfs/cado-nfs-2.2.0.ebuild b/sci-mathematics/cado-nfs/cado-nfs-2.2.0.ebuild
new file mode 100644
index 00000000000..44c8e43b78f
--- /dev/null
+++ b/sci-mathematics/cado-nfs/cado-nfs-2.2.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+DESCRIPTION="Number Field Sieve (NFS) implementation for factoring integers"
+HOMEPAGE="http://cado-nfs.gforge.inria.fr/"
+SRC_URI="https://gforge.inria.fr/frs/download.php/file/35401/${P}.tar.gz"
+
+PYTHON_COMPAT=( python{2_7,3_4} )
+PYTHON_REQ_USE="sqlite"
+inherit eutils cmake-utils python-r1
+
+# Fails F9_{k,m}bucket_test F9_tracektest
+RESTRICT="test"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ dev-libs/gmp
+ dev-lang/perl
+ !sci-mathematics/ggnfs
+ !sci-biology/shrimp
+ "
+DEPEND="${RDEPEND}
+ "
+
+src_prepare() {
+ # looks like packaging mistake
+ sed -i -e 's/add_executable (convert_rels convert_rels.c)//' misc/CMakeLists.txt || die
+ sed -i -e 's/target_link_libraries (convert_rels utils)//' misc/CMakeLists.txt || die
+ sed -i -e 's~install(TARGETS convert_rels RUNTIME DESTINATION bin/misc)~~' misc/CMakeLists.txt || die
+}
+
+src_configure() {
+ DESTINATION="/usr/libexec/cado-nfs" cmake-utils_src_configure
+}
+src_compile() {
+ # autodetection goes confused for gf2x
+ ABI=default cmake-utils_src_compile
+}